Bug 129915 - [patch] games/lordsawar update to 0.1.4
Summary: [patch] games/lordsawar update to 0.1.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-12-24 19:40 UTC by Alex Kozlov
Modified: 2008-12-28 22:00 UTC (History)
0 users

See Also:


Attachments
file.diff (14.91 KB, patch)
2008-12-24 19:40 UTC, Alex Kozlov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Kozlov 2008-12-24 19:40:01 UTC
Update Lords a War to 0.1.4

Fix: Patch attached with submission follows:
Comment 1 Dmitry Marakasov freebsd_committer 2008-12-24 20:22:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 Dmitry Marakasov freebsd_committer 2008-12-26 02:06:02 UTC
State Changed
From-To: open->feedback

Does not build. http://people.freebsd.org/~amdmi3/lordsawar-0.1.4.log
Comment 3 Alex Kozlov 2008-12-26 03:18:30 UTC
On Fri, Dec 26, 2008 at 02:06:10AM +0000, amdmi3@FreeBSD.org wrote:
> Does not build. http://people.freebsd.org/~amdmi3/lordsawar-0.1.4.log
My bad. Try this:


Index: games/lordsawar/Makefile
@@ -6,30 +6,36 @@
 #
 
 PORTNAME=	lordsawar
-PORTVERSION=	0.1.0
+PORTVERSION=	0.1.4
 CATEGORIES=	games
-MASTER_SITES=	http://lordsawar.com/
+MASTER_SITES=	${MASTER_SITE_SAVANNAH}
+MASTER_SITE_SUBDIR=	${PORTNAME}
 
 MAINTAINER=	spam@rm-rf.kiev.ua
 COMMENT=	A Warlords II clone
 
 LIB_DEPENDS=	glademm-2.4:${PORTSDIR}/devel/libglademm24 \
-		gnet-2.0:${PORTSDIR}/net/gnet2
+				gnet-2.0:${PORTSDIR}/net/gnet2 \
+				uuid.1:${PORTSDIR}/misc/e2fsprogs-libuuid
+BUILD_DEPENDS=	bjam:${PORTSDIR}/devel/boost
 
 USE_GZIP=	yes
 USE_GETTEXT=	yes
+USE_GMAKE=	yes
+USE_GNOME=	intltool
 USE_SDL=	sdl image
 
 OPTIONS=	SOUND	"Enable sound"	on
 
 .include <bsd.port.pre.mk>
 
-CONFIGURE_ARGS+=--disable-nls
+CONFIGURE_ARGS+=	--disable-nls \
+					--with-boost-includedir=${LOCALBASE}/include/
 
 .if !defined(WITHOUT_SOUND)
 USE_SDL+=	mixer
 .else
-CONFIGURE_ARGS+=--disable-sound
+CONFIGURE_ARGS+=	--disable-sound
 .endif
 
 GNU_CONFIGURE=	yes
Index: games/lordsawar/distinfo
@@ -1,3 +1,3 @@
-MD5 (lordsawar-0.1.0.tar.gz) = 8e419f25b42aa0f4fe73af9206065e56
-SHA256 (lordsawar-0.1.0.tar.gz) = fb2d19562360cfe52ea926b1dc662329fc23bdd06c901f307b3af8d59d3a82ee
-SIZE (lordsawar-0.1.0.tar.gz) = 13572734
+MD5 (lordsawar-0.1.4.tar.gz) = 62b7d610a9697f1e357b12d5b8aa068a
+SHA256 (lordsawar-0.1.4.tar.gz) = 4efe206ef054bf133c42b07b92a68edc309af12408ff1f7f6433f8a16927e3dc
+SIZE (lordsawar-0.1.4.tar.gz) = 20598785
Index: games/lordsawar/files/patch-configure
@@ -1,5 +1,16 @@
 Index: configure
-@@ -4577,7 +4577,7 @@
+@@ -17656,8 +17656,8 @@
+ 
+ 
+ 
+-ac_save_cflags=$CFLAGS
+-ac_save_ldflags=$LDFLAGS
++ac_save_CFLAGS=$CFLAGS
++ac_save_LDFLAGS=$LDFLAGS
+ ac_save_libs=$LIBS
+ 
+ use_sound=1
+@@ -17676,7 +17676,7 @@
      LDFLAGS="$LDFLAGS -lSDL_mixer"
      LIBS="-lSDL_mixer $LIBS"
  
@@ -8,18 +19,7 @@
  
         if test "$cross_compiling" = yes; then
    { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
-@@ -4655,8 +4655,8 @@
- _ACEOF
- 
- else
--    CFLAGS=$ac_save_CFLAGS
--    LDFLAGS="$ac_save_LDFLAGS"
-+    CFLAGS=$ac_save_cflags
-+    LDFLAGS="$ac_save_ldflags"
-     LIBS="$ac_save_libs"
- fi
- 
-@@ -12271,8 +12271,7 @@
+@@ -21267,8 +21267,7 @@
  
  rm -f src/main.o
  
@@ -28,4 +28,4 @@
 +eval LORDSAWAR_DATADIR="$datadir/lordsawar"
  
  
- ac_config_files="$ac_config_files dat/Makefile dat/army/Makefile dat/army/default/Makefile dat/army/bigdefault/Makefile dat/tilesets/Makefile dat/tilesets/default/Makefile dat/tilesets/default/misc/Makefile dat/tilesets/bigdefault/Makefile dat/tilesets/bigdefault/misc/Makefile dat/shield/Makefile dat/shield/default/Makefile dat/shield/plain/Makefile dat/citysets/Makefile dat/citysets/default/Makefile dat/citysets/bigdefault/Makefile dat/various/Makefile dat/various/items/Makefile dat/various/editor/Makef  ile dat/map/Makefile dat/music/Makefile dat/glade/Makefile dat/glade/editor/Makefile intl/Makefile po/Makefile.in po/Makefile Makefile src/Makefile doc/Makefile src/editor/Makefile src/gui/Makefile"
+ ac_config_files="$ac_config_files dat/Makefile dat/army/Makefile dat/army/default/Makefile dat/army/bigdefault/Makefile dat/tilesets/Makefile dat/tilesets/default/Makefile dat/tilesets/default/misc/Makefile dat/tilesets/bigdefault/Makefile dat/tilesets/bigdefault/misc/Makefile dat/tilesets/stark/Makefile dat/tilesets/stark/misc/Makefile dat/tilesets/bigstark/Makefile dat/tilesets/bigstark/misc/Makefile dat/shield/Makefile dat/shield/default/Makefile dat/shield/plain/Makefile dat/shield/dol/Makefile dat/c itysets/Makefile dat/citysets/default/Makefile dat/citysets/bigdefault/Makefile dat/citysets/dol/Makefile dat/citysets/bigdol/Makefile dat/various/Makefile dat/various/items/Makefile dat/various/editor/Makefile dat/map/Makefile dat/campaign/Makefile dat/music/Makefile dat/glade/Makefile dat/glade/editor/Makefile po/Makefile.in Makefile src/Makefile doc/Makefile help/Makefile help/figures/Makefile src/editor/Makefile src/pbm/Makefile src/gui/Makefile"
Index: games/lordsawar/files/patch-src_gamebigmap.cpp
@@ -0,0 +1,10 @@
+Index: src/gamebigmap.cpp
+@@ -455,7 +455,7 @@
+       if (new_view.w <= GameMap::getWidth() && 
+ 	  new_view.h <= GameMap::getHeight() && 
+ 	  new_view.w >= 0 && new_view.h >= 0)
+-	zoom_view(-zoom_step);
++	zoom_view(-(const double)zoom_step);
+     }
+ }
+ 
Index: games/lordsawar/files/patch-src_herotemplates.cpp
@@ -1,5 +1,14 @@
 Index: src/herotemplates.cpp
-@@ -64,15 +64,6 @@
+@@ -16,6 +16,8 @@
+ //  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 
+ //  02110-1301, USA.
+ 
++#include <sstream>
++
+ #include "herotemplates.h"
+ 
+ #include "File.h"
+@@ -64,15 +66,6 @@
  
  int HeroTemplates::loadHeroTemplates()
  {
@@ -13,17 +22,15 @@
 -  size_t bytesread = 0;
 -  char *tmp;
    const Armysetlist* al = Armysetlist::getInstance();
-   const Army* herotype;
+   const ArmyProto* herotype;
  
-@@ -83,48 +74,37 @@
+@@ -83,48 +76,35 @@
      {
-       const Army *a = al->getArmy (p->getArmyset(), j);
+       const ArmyProto *a = al->getArmy (p->getArmyset(), j);
        if (a->isHero())
 -	heroes.push_back(a);
 +		heroes.push_back(a);
      }
-+ 
-+  std::ifstream file(File::getMiscFile("heronames").c_str());
  
 -  if (fileptr == NULL)
 -    return -1;
@@ -50,6 +57,17 @@
 -	{
 -	  free (line);
 -	  return -4;
+-	}
+-
+-      herotype = heroes[rand() % heroes.size()];
+-      HeroProto *newhero = new HeroProto (*herotype);
+-      if (gender)
+-	newhero->setGender(Hero::MALE);
+-      else
+-	newhero->setGender(Hero::FEMALE);
+-      newhero->setName (&line[bytesread]);
+-      d_herotemplates[side].push_back (newhero);
++  std::ifstream file(File::getMiscFile("heronames").c_str());
 +  if (file.good()) {
 +	std::string buffer, name;
 +	int side, gender;
@@ -63,31 +81,21 @@
 +		return -4;
 +
 +	herotype = heroes[rand() % heroes.size()];
-+	Hero *newhero = new Hero (*herotype, "", NULL);
-+
-+	if (gender)
++	HeroProto *newhero = new HeroProto (*herotype);
++    if (gender)
 +		newhero->setGender(Hero::MALE);
 +	else
 +		newhero->setGender(Hero::FEMALE);
 +
 +	newhero->setName (name);
 +    d_herotemplates[side].push_back (newhero);
- 	}
-+  } else
-+	return -1;
- 
--      herotype = heroes[rand() % heroes.size()];
--      Hero *newhero = new Hero (*herotype, "", NULL, true);
--      if (gender)
--	newhero->setGender(Hero::MALE);
--      else
--	newhero->setGender(Hero::FEMALE);
--      newhero->setName (&line[bytesread]);
--      d_herotemplates[side].push_back (newhero);
--    }
+     }
 -  if (line)
 -    free (line);
 -  fclose (fileptr);
++  } else
++	return -1;
++
 +  file.close();
    return 0;
  }
Index: games/lordsawar/pkg-plist
@@ -2,10 +2,40 @@
 bin/lordsawar-army-editor
 bin/lordsawar-editor
 bin/lordsawar-tile-editor
+bin/lordsawar-pbm
 share/applications/lordsawar.desktop
+share/gnome/help/lordsawar/C/figures/army_bonus.png
+share/gnome/help/lordsawar/C/figures/army_unit_info.png
+share/gnome/help/lordsawar/C/figures/buy_production.png
+share/gnome/help/lordsawar/C/figures/city_window.png
+share/gnome/help/lordsawar/C/figures/conquer_city.png
+share/gnome/help/lordsawar/C/figures/fight_city_one_vs_two.png
+share/gnome/help/lordsawar/C/figures/fight_one_vs_one.png
+share/gnome/help/lordsawar/C/figures/fight_order.png
+share/gnome/help/lordsawar/C/figures/fighting_city_one_vs_two.png
+share/gnome/help/lordsawar/C/figures/fighting_one_vs_one.png
+share/gnome/help/lordsawar/C/figures/fought_city_one_vs_two.png
+share/gnome/help/lordsawar/C/figures/fought_one_vs_one.png
+share/gnome/help/lordsawar/C/figures/game_lobby.png
+share/gnome/help/lordsawar/C/figures/game_options.png
 share/gnome/help/lordsawar/C/legal.xml
 share/gnome/help/lordsawar/C/lordsawar.xml
+share/gnome/help/lordsawar/C/figures/main_screen.png
+share/gnome/help/lordsawar/C/figures/main_screen_buttons.png
+share/gnome/help/lordsawar/C/figures/main_screen_center_on_stack_button.png
+share/gnome/help/lordsawar/C/figures/main_screen_defend_stack_button.png
+share/gnome/help/lordsawar/C/figures/main_screen_deselect_stack_button.png
+share/gnome/help/lordsawar/C/figures/main_screen_diplomacy_button.png
+share/gnome/help/lordsawar/C/figures/main_screen_diplomacy_proposed_button.png
+share/gnome/help/lordsawar/C/figures/main_screen_end_turn_button.png
+share/gnome/help/lordsawar/C/figures/main_screen_move_all_stacks_button.png
+share/gnome/help/lordsawar/C/figures/main_screen_move_stack_button.png
+share/gnome/help/lordsawar/C/figures/main_screen_move_stack_dir_buttons.png
+share/gnome/help/lordsawar/C/figures/main_screen_park_stack_button.png
+share/gnome/help/lordsawar/C/figures/main_screen_select_next_stack_button.png
+share/gnome/help/lordsawar/C/figures/main_screen_stack_search_button.png
 %%DATADIR%%/citynames
+%%DATADIR%%/gtkrc
 %%DATADIR%%/heronames
 %%DATADIR%%/ruinnames
 %%DATADIR%%/signposts
@@ -100,6 +130,34 @@
 %%DATADIR%%/tilesets/bigdefault/hills.png
 %%DATADIR%%/tilesets/bigdefault/mountains.png
 %%DATADIR%%/tilesets/bigdefault/swamp.png
+%%DATADIR%%/tilesets/stark/misc/bridges.png
+%%DATADIR%%/tilesets/stark/misc/explosion.png
+%%DATADIR%%/tilesets/stark/misc/flags.png
+%%DATADIR%%/tilesets/stark/misc/fog.png
+%%DATADIR%%/tilesets/stark/misc/roads.png
+%%DATADIR%%/tilesets/stark/misc/selector.png
+%%DATADIR%%/tilesets/stark/misc/small_selector.png
+%%DATADIR%%/tilesets/stark/forest.png
+%%DATADIR%%/tilesets/stark/grass.png
+%%DATADIR%%/tilesets/stark/hills.png
+%%DATADIR%%/tilesets/stark/mountains.png
+%%DATADIR%%/tilesets/stark/stark.xml
+%%DATADIR%%/tilesets/stark/swamp.png
+%%DATADIR%%/tilesets/stark/water.png
+%%DATADIR%%/tilesets/bigstark/misc/bridges.png
+%%DATADIR%%/tilesets/bigstark/misc/explosion.png
+%%DATADIR%%/tilesets/bigstark/misc/flags.png
+%%DATADIR%%/tilesets/bigstark/misc/fog.png
+%%DATADIR%%/tilesets/bigstark/misc/roads.png
+%%DATADIR%%/tilesets/bigstark/misc/selector.png
+%%DATADIR%%/tilesets/bigstark/misc/small_selector.png
+%%DATADIR%%/tilesets/bigstark/bigstark.xml
+%%DATADIR%%/tilesets/bigstark/forest.png
+%%DATADIR%%/tilesets/bigstark/grass.png
+%%DATADIR%%/tilesets/bigstark/hills.png
+%%DATADIR%%/tilesets/bigstark/mountains.png
+%%DATADIR%%/tilesets/bigstark/swamp.png
+%%DATADIR%%/tilesets/bigstark/water.png
 %%DATADIR%%/various/items/items.xml
 %%DATADIR%%/various/editor/button_selector.png
 %%DATADIR%%/various/editor/button_1x1.png
@@ -150,13 +208,23 @@
 %%DATADIR%%/various/parley_offered.png
 %%DATADIR%%/various/parley_refused.png
 %%DATADIR%%/various/tileset_icon.png
+%%DATADIR%%/various/back.bmp
+%%DATADIR%%/various/background.png
+%%DATADIR%%/various/cycle.png
 %%DATADIR%%/map/2ndPunic37.map
+%%DATADIR%%/map/dol.map
 %%DATADIR%%/music/back1.ogg
 %%DATADIR%%/music/defeat.ogg
 %%DATADIR%%/music/victory.ogg
 %%DATADIR%%/music/hero.ogg
 %%DATADIR%%/music/intro.ogg
 %%DATADIR%%/music/music.xml
+%%DATADIR%%/glade/game-lobby-dialog.glade
+%%DATADIR%%/glade/main-preferences-dialog.glade
+%%DATADIR%%/glade/new-campaign-dialog.glade
+%%DATADIR%%/glade/new-network-game-dialog.glade
+%%DATADIR%%/glade/pick-network-game-to-join-dialog.glade
+%%DATADIR%%/glade/player-resign-completed-dialog.glade
 %%DATADIR%%/glade/army-gains-level-dialog.glade
 %%DATADIR%%/glade/army-info-window.glade
 %%DATADIR%%/glade/stack-info-window.glade
@@ -215,6 +283,7 @@
 %%DATADIR%%/glade/treachery-dialog.glade
 %%DATADIR%%/glade/editor/main-window.glade
 %%DATADIR%%/glade/editor/tileset-window.glade
+%%DATADIR%%/glade/editor/tileset-selector-editor-dialog.glade
 %%DATADIR%%/glade/editor/signpost-dialog.glade
 %%DATADIR%%/glade/editor/temple-dialog.glade
 %%DATADIR%%/glade/editor/reward-dialog.glade
@@ -269,6 +338,34 @@
 %%DATADIR%%/shield/plain/medium-neutral-shield.png
 %%DATADIR%%/shield/plain/large-shield.png
 %%DATADIR%%/shield/plain/large-neutral-shield.png
+%%DATADIR%%/shield/dol/dol.xml
+%%DATADIR%%/shield/dol/large-black-shield.png
+%%DATADIR%%/shield/dol/large-darkblue-shield.png
+%%DATADIR%%/shield/dol/large-green-shield.png
+%%DATADIR%%/shield/dol/large-lightblue-shield.png
+%%DATADIR%%/shield/dol/large-neutral-shield.png
+%%DATADIR%%/shield/dol/large-orange-shield.png
+%%DATADIR%%/shield/dol/large-red-shield.png
+%%DATADIR%%/shield/dol/large-white-shield.png
+%%DATADIR%%/shield/dol/large-yellow-shield.png
+%%DATADIR%%/shield/dol/medium-black-shield.png
+%%DATADIR%%/shield/dol/medium-darkblue-shield.png
+%%DATADIR%%/shield/dol/medium-green-shield.png
+%%DATADIR%%/shield/dol/medium-lightblue-shield.png
+%%DATADIR%%/shield/dol/medium-neutral-shield.png
+%%DATADIR%%/shield/dol/medium-orange-shield.png
+%%DATADIR%%/shield/dol/medium-red-shield.png
+%%DATADIR%%/shield/dol/medium-white-shield.png
+%%DATADIR%%/shield/dol/medium-yellow-shield.png
+%%DATADIR%%/shield/dol/small-black-shield.png
+%%DATADIR%%/shield/dol/small-darkblue-shield.png
+%%DATADIR%%/shield/dol/small-green-shield.png
+%%DATADIR%%/shield/dol/small-lightblue-shield.png
+%%DATADIR%%/shield/dol/small-neutral-shield.png
+%%DATADIR%%/shield/dol/small-orange-shield.png
+%%DATADIR%%/shield/dol/small-red-shield.png
+%%DATADIR%%/shield/dol/small-white-shield.png
+%%DATADIR%%/shield/dol/small-yellow-shield.png
 %%DATADIR%%/citysets/default/default.xml
 %%DATADIR%%/citysets/default/castle_razed.png
 %%DATADIR%%/citysets/default/castles.png
@@ -277,6 +374,14 @@
 %%DATADIR%%/citysets/default/signpost.png
 %%DATADIR%%/citysets/default/temples.png
 %%DATADIR%%/citysets/default/towers.png
+%%DATADIR%%/citysets/dol/castle_razed.png
+%%DATADIR%%/citysets/dol/castles.png
+%%DATADIR%%/citysets/dol/dol.xml
+%%DATADIR%%/citysets/dol/port.png
+%%DATADIR%%/citysets/dol/ruin.png
+%%DATADIR%%/citysets/dol/signpost.png
+%%DATADIR%%/citysets/dol/temples.png
+%%DATADIR%%/citysets/dol/towers.png
 %%DATADIR%%/citysets/bigdefault/bigdefault.xml
 %%DATADIR%%/citysets/bigdefault/castle_razed.png
 %%DATADIR%%/citysets/bigdefault/castles.png
@@ -285,7 +390,16 @@
 %%DATADIR%%/citysets/bigdefault/signpost.png
 %%DATADIR%%/citysets/bigdefault/temples.png
 %%DATADIR%%/citysets/bigdefault/towers.png
+%%DATADIR%%/citysets/bigdol/bigdol.xml
+%%DATADIR%%/citysets/bigdol/castle_razed.png
+%%DATADIR%%/citysets/bigdol/castles.png
+%%DATADIR%%/citysets/bigdol/port.png
+%%DATADIR%%/citysets/bigdol/ruin.png
+%%DATADIR%%/citysets/bigdol/signpost.png
+%%DATADIR%%/citysets/bigdol/temples.png
+%%DATADIR%%/citysets/bigdol/towers.png
 @dirrmtry share/applications
+@dirrm share/gnome/help/lordsawar/C/figures
 @dirrm share/gnome/help/lordsawar/C
 @dirrm share/gnome/help/lordsawar
 @dirrmtry share/gnome/help
@@ -295,18 +409,25 @@
 @dirrm %%DATADIR%%/army
 @dirrm %%DATADIR%%/citysets/default
 @dirrm %%DATADIR%%/citysets/bigdefault
+@dirrm %%DATADIR%%/citysets/dol
+@dirrm %%DATADIR%%/citysets/bigdol
 @dirrm %%DATADIR%%/citysets
 @dirrm %%DATADIR%%/glade/editor
 @dirrm %%DATADIR%%/glade
 @dirrm %%DATADIR%%/map
 @dirrm %%DATADIR%%/music
 @dirrm %%DATADIR%%/shield/default
+@dirrm %%DATADIR%%/shield/dol
 @dirrm %%DATADIR%%/shield/plain
 @dirrm %%DATADIR%%/shield
 @dirrm %%DATADIR%%/tilesets/default/misc
 @dirrm %%DATADIR%%/tilesets/default
 @dirrm %%DATADIR%%/tilesets/bigdefault/misc
 @dirrm %%DATADIR%%/tilesets/bigdefault
+@dirrm %%DATADIR%%/tilesets/stark/misc
+@dirrm %%DATADIR%%/tilesets/stark
+@dirrm %%DATADIR%%/tilesets/bigstark/misc
+@dirrm %%DATADIR%%/tilesets/bigstark
 @dirrm %%DATADIR%%/tilesets
 @dirrm %%DATADIR%%/various/items
 @dirrm %%DATADIR%%/various/editor
Comment 4 dfilter service freebsd_committer 2008-12-28 21:54:30 UTC
amdmi3      2008-12-28 21:54:21 UTC

  FreeBSD ports repository

  Modified files:
    games/lordsawar      Makefile distinfo pkg-plist 
    games/lordsawar/files patch-configure 
                          patch-src_herotemplates.cpp 
  Added files:
    games/lordsawar/files patch-src_gamebigmap.cpp 
  Log:
  - Update to 0.1.4
  
  PR:             129915
  Submitted by:   Alex Kozlov <spam at rm-rf dot kiev dot ua> (maintainer)
  
  Revision  Changes    Path
  1.7       +10 -4     ports/games/lordsawar/Makefile
  1.4       +3 -3      ports/games/lordsawar/distinfo
  1.3       +14 -14    ports/games/lordsawar/files/patch-configure
  1.1       +10 -0     ports/games/lordsawar/files/patch-src_gamebigmap.cpp (new)
  1.2       +30 -22    ports/games/lordsawar/files/patch-src_herotemplates.cpp
  1.4       +121 -0    ports/games/lordsawar/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Dmitry Marakasov freebsd_committer 2008-12-28 21:54:34 UTC
State Changed
From-To: feedback->open

Feedback received
Comment 6 Dmitry Marakasov freebsd_committer 2008-12-28 21:54:43 UTC
State Changed
From-To: open->closed

Committed, thanks!